SpreadCdsHelper Class Reference

Spread-quoted CDS hazard rate bootstrap helper. More...

`#include <ql/termstructures/credit/defaultprobabilityhelpers.hpp>`

Inheritance diagram for SpreadCdsHelper:
[legend]

## Public Member Functions

| SpreadCdsHelper (const Handle< Quote > &runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
| SpreadCdsHelper (Rate runningSpread, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
Real | impliedQuote () const
Public Member Functions inherited from CdsHelper
| CdsHelper (const Handle< Quote > &quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
| CdsHelper (Rate quote, const Period &tenor, Integer settlementDays, const Calendar &calendar, Frequency frequency, BusinessDayConvention paymentConvention, DateGeneration::Rule rule, const DayCounter &dayCounter, Real recoveryRate, const Handle< YieldTermStructure > &discountCurve, bool settlesAccrual=true, bool paysAtDefaultTime=true)
void | setTermStructure (DefaultProbabilityTermStructure *)
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | latestDate () const
| latest relevant date More...
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Protected Member Functions inherited from CdsHelper
void | update ()
void | initializeDates ()
Protected Attributes inherited from CdsHelper
Period | tenor_
Integer | settlementDays_
Calendar | calendar_
Frequency | frequency_
BusinessDayConvention | paymentConvention_
DateGeneration::Rule | rule_
DayCounter | dayCounter_
Real | recoveryRate_
Handle< YieldTermStructure > | discountCurve_
bool | settlesAccrual_
bool | paysAtDefaultTime_
Schedule | schedule_
boost::shared_ptr< CreditDefaultSwap > | swap_
RelinkableHandle< DefaultProbabilityTermStructure > | probability_
Date | protectionStart_
| protection effective date.
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_

## Detailed Description

Spread-quoted CDS hazard rate bootstrap helper.

Examples:
  CDS.cpp.